// Copyright (C) 2013 File Scribe
// All Rights Reserved.
//
// Use of this code is covered by the "NUMBER DUCK API LICENSE AGREEMENT".
// Details of this agreement are found in the file "licence.txt".
// You have permission to modify this file and use it for any purpose under the terms of
// the agreement.

#ifndef COLOR_H
#define COLOR_H
	#include "Export.h"
	#include <stdint.h>
	namespace FileScribe
	{
		class Color
		{
			public:
				FS_DLL Color(uint8_t nRed, uint8_t nGreen, uint8_t nBlue);
				FS_DLL bool Equals(const Color* pColor) const;

				FS_DLL uint8_t GetRed() const;
				FS_DLL uint8_t GetGreen() const;
				FS_DLL uint8_t GetBlue() const;

				FS_DLL void SetRed(uint8_t nRed);
				FS_DLL void SetGreen(uint8_t nGreen);
				FS_DLL void SetBlue(uint8_t nBlue);

				FS_DLL uint32_t GetRgba() const;
			private:
				uint8_t m_nRed;
				uint8_t m_nGreen;
				uint8_t m_nBlue;
		};
	}
#endif