#include "Workbook.h"
#include "Worksheet.h"
#include "Cell.h"

#include <stdio.h>

using namespace FileScribe;

int main(int argc, char **argv)
{
	printf("Simple Example\n");
	printf("Create a spreadsheet!\n\n");
	
	Workbook workbook("");
	Worksheet* pWorksheet = workbook.GetWorksheetByIndex(0);
		
	Cell* pCell = pWorksheet->GetCellByAddress("A1");
	pCell->SetString("Totally cool spreadsheet!");

	pWorksheet->GetCell(1,1)->SetFloat(3.1417f);
		
	workbook.Save("SimpleExample.xls");
	
	Workbook* pWorkbookIn = new Workbook("");
	if (pWorkbookIn->Load("SimpleExample.xls"))
	{
		Worksheet* pWorksheetIn = pWorkbookIn->GetWorksheetByIndex(0);
		Cell* pCellIn = pWorksheetIn->GetCell(0,0);
		printf("Cell Contents: %s\n", pCellIn->GetString());
	}

	return 0;
}

